---
title: 407 Proxy Authentication Required
slug: Web/HTTP/Status/407
tags:
  - Client error
  - HTTP
  - Reference
  - Status code
---
<div>{{HTTPSidebar}}</div>

<p>The HTTP <strong><code>407 Proxy Authentication Required </code></strong> client error status response code indicates that the request has not been applied because it lacks valid authentication credentials for a {{Glossary("proxy server")}} that is between the browser and the server that can access the requested resource.</p>

<p>This status is sent with a {{HTTPHeader("Proxy-Authenticate")}} header that contains information on how to authorize correctly.</p>

<h2 id="Status">Status</h2>

<pre class="syntaxbox">407 Proxy Authentication Required </pre>

<h2 id="Example_response">Example response</h2>

<pre>HTTP/1.1 407 Proxy Authentication Required
Date: Wed, 21 Oct 2015 07:28:00 GMT
Proxy-Authenticate: Basic realm="Access to internal site"</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Title</th>
  </tr>
  <tr>
   <td>{{RFC("7235", "407 Proxy Authentication Required" , "3.2")}}</td>
   <td>HTTP/1.1: Authentication</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p class="hidden">The compatibility table in this page is generated from structured data. If you'd like to contribute to the data, please check out <a href="https://github.com/mdn/browser-compat-data">https://github.com/mdn/browser-compat-data</a> and send us a pull request.</p>

<p>{{Compat("http.status.407")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/HTTP/Authentication">HTTP authentication</a></li>
 <li>{{HTTPHeader("WWW-Authenticate")}}</li>
 <li>{{HTTPHeader("Authorization")}}</li>
 <li>{{HTTPHeader("Proxy-Authorization")}}</li>
 <li>{{HTTPHeader("Proxy-Authenticate")}}</li>
 <li>{{HTTPStatus("401")}}, {{HTTPStatus("403")}}</li>
</ul>
